Subject: Re: [PATCH net v2 3/5] MAINTAINERS: Add limited globs for Networking headers

From: Simon Horman <[email-masked]>
Date: Thu, 22 Aug 2024 20:12:17 +0100

On Thu, Aug 22, 2024 at 03:37:06PM +0200, Paolo Abeni wrote:
> On 8/21/24 10:46, Simon Horman wrote:
> > This aims to add limited globs to improve the coverage of header files
> > in the NETWORKING DRIVERS and NETWORKING [GENERAL] sections.
> > 
> > It is done so in a minimal way to exclude overlap with other sections.
> > And so as not to require "X" entries to exclude files otherwise
> > matched by these new globs.
> > 
> > While imperfect, due to it's limited nature, this does extend coverage
> > of header files by these sections. And aims to automatically cover
> > new files that seem very likely belong to these sections.
> > 
> > The include/linux/netdev* glob (both sections)
> > + Subsumes the entries for:
> >    - include/linux/netdevice.h
> > + Extends the sections to cover
> >    - include/linux/netdevice_xmit.h
> >    - include/linux/netdev_features.h
> > 
> > The include/uapi/linux/netdev* globs: (both sections)
> > + Subsumes the entries for:
> >    - include/linux/netdevice.h
> > + Extends the sections to cover
> >    - include/linux/netdev.h
> > 
> > The include/linux/skbuff* glob (NETWORKING [GENERAL] section only):
> > + Subsumes the entry for:
> >    - include/linux/skbuff.h
> > + Extends the section to cover
> >    - include/linux/skbuff_ref.h
> > 
> > A include/uapi/linux/net_* glob was not added to the NETWORKING [GENERAL]
> > section. Although it would subsume the entry for
> > include/uapi/linux/net_namespace.h, which is fine, it would also extend
> > coverage to:
> > - include/uapi/linux/net_dropmon.h, which belongs to the
> >     NETWORK DROP MONITOR section
> > - include/uapi/linux/net_tstamp.h which, as per an earlier patch in this
> >    series, belongs to the SOCKET TIMESTAMPING section
> 
> I think both the above files should belong also to the generic networking
> section. If there is agreement, I think can be adjusted with an incremental
> patch, instead of re-spinning the whole series - that I'm applying now.

Thanks.

I'm quite fine with adding a include/uapi/linux/net_* entry as a follow-up.
The reason that I didn't add it is to avoid including files in multiple
sections. But if there is consensus around that being ok then I have no
objections.